'Open eviews workfile (.wf1)
wfopen "... \wf.wf1"

								'Common steps for each region'

'Generate first deferences of the series.

genr dle = d(le)
genr dly = d(ly)
genr dlychn = d(lychn)
genr dlechn = d(lechn)

'Generate time dummies
''Shift dummy example
genr SD0813=@recode(@year>=2008, 1,0)
''Impulse dummy example
genr ID2012=@recode(@year=2012, 1,0)

'Generate trend

genr trend=@trend

'Generate descriptive statistics and correlation matrix

stats(i) ly le dly dle lychn dly chn lechn dlechn
cor(i) ly le lychn lechn
cor(i) dly dle dlychn dlechn

'Correlogram

ly.correl
ly.correl(d=1)
le.correl
le.correl(d=1)

'ADF unit root tests

ly.uroot(exog=trend)
ly.uroot
ly.uroot(exog=none)
ly.uroot(exog=trend,dif=1)
ly.uroot(dif=1)
ly.uroot(exog=none,dif=1)
le.uroot(exog=trend)
le.uroot
le.uroot(exog=none)
le.uroot(exog=trend,dif=1)
le.uroot(dif=1)
le.uroot(exog=none,dif=1)
lychn.uroot(exog=trend)
lychn.uroot
lychn.uroot(exog=none)
lychn.uroot(exog=trend,dif=1)
lychn.uroot(dif=1)
lychn.uroot(exog=none,dif=1)
lechn.uroot(exog=trend)
lechn.uroot
lechn.uroot(exog=none)
lechn.uroot(exog=trend,dif=1)
lechn.uroot(dif=1)
lechn.uroot(exog=none,dif=1)

'PP unit root tests

ly.uroot(exog=trend, pp)
ly.uroot(pp)
ly.uroot(exog=none. pp)
ly.uroot(exog=trend,dif=1, pp)
ly.uroot(dif=1, pp)
ly.uroot(exog=none,dif=1, pp)
ly.uroot(exog=trend, pp)
le.uroot(pp)
le.uroot(exog=none, pp)
le.uroot(exog=trend,dif=1, pp)
le.uroot(dif=1, pp)
le.uroot(exog=none,dif=1, pp)
lychn.uroot(pp)
lychn.uroot(exog=none, pp)
lychn.uroot(exog=trend,dif=1, pp)
lychn.uroot(dif=1, pp)
lychn.uroot(exog=none,dif=1, pp)
lechn.uroot(exog=trend, pp)
lechn.uroot(pp)
lechn.uroot(exog=none, pp)
lechn.uroot(exog=trend,dif=1, pp)
lechn.uroot(dif=1, pp)
lechn.uroot(exog=none,dif=1, pp)

'KPSS unit root tests

ly.uroot(exog=trend, kpss)
ly.uroot(kpss)
ly.uroot(exog=none, kpss)
ly.uroot(exog=trend,dif=1, kpss)
ly.uroot(dif=1, kpss)
ly.uroot(exog=none,dif=1, kpss)
ly.uroot(exog=trend, kpss)
le.uroot(kpss)
le.uroot(exog=none, kpss)
le.uroot(exog=trend,dif=1, kpss)
le.uroot(dif=1, kpss)
le.uroot(exog=none,dif=1, kpss)
lychn.uroot(kpss)
lychn.uroot(exog=none, kpss)
lychn.uroot(exog=trend,dif=1, kpss)
lychn.uroot(dif=1, kpss)
lychn.uroot(exog=none,dif=1, kpss)
lechn.uroot(exog=trend, kpss)
lechn.uroot(kpss)
lechn.uroot(exog=none, kpss)
lechn.uroot(exog=trend,dif=1, kpss)
lechn.uroot(dif=1, kpss)
lechn.uroot(exog=none,dif=1, kpss)

'Breakpoint unit root tests

ly.buroot(exog=trend, break=both)
ly.buroot(exog=trend)
ly.buroot(exog=trend, break=trend)
ly.buroot
ly.buroot(dif=1, exog=trend, break=both)
ly.buroot(dif=1,exog=trend)
ly.buroot(dif=1, exog=trend, break=trend)
ly.buroot(dif=1)
le.buroot(exog=trend, break=both)
le.buroot(exog=trend)
le.buroot(exog=trend, break=trend)
le.buroot
le.buroot(dif=1, exog=trend, break=both)
le.buroot(dif=1,exog=trend)
le.buroot(dif=1, exog=trend, break=trend)
le.buroot(dif=1)
lychn.buroot(exog=trend, break=both)
lychn.buroot(exog=trend)
lychn.buroot(exog=trend, break=trend)
lychn.buroot
lychn.buroot(dif=1, exog=trend, break=both)
lychn.buroot(dif=1,exog=trend)
lychn.buroot(dif=1, exog=trend, break=trend)
lychn.buroot(dif=1)
lechn.buroot(exog=trend, break=both)
lechn.buroot(exog=trend)
lechn.buroot(exog=trend, break=trend)
lechn.buroot
lechn.buroot(dif=1, exog=trend, break=both)
lechn.buroot(dif=1,exog=trend)
lechn.buroot(dif=1, exog=trend, break=trend)
lechn.buroot(dif=1)


								'America
pageselect america

'ARDL Models withou dummies - Dependent variable DLY 

equation eq01.ardl(deplags=1, reglags=1, trend=uconst) ly lechn le lychn @

'ARDL Models withou dummies - Dependent variable DLE

equation eq02.ardl(deplags=1, reglags=1, trend=uconst) le ly lechn lychn @

'ARDL residuals

eq01.resids(g)
eq02.resids(g)

' Quandt-Andrews, Multiple Breakpoint and Chow Breakpoint tests
''OLS model - Dependent varibale DLY

equation ols1.ls d(ly) c ly(-1) lechn le(-1) lychn(-1) d(le) d(lychn)
ols1.ubreak 15
ols1.multibreak(method=glob) c  ly(-1) lechn le(-1) lychn(-1) d(le) d(lychn)

''OLS model - Dependent varibale DLE

equation ols2.ls d(le) c le(-1) ly(-1) lechn lychn d(ly)
ols2.ubreak15
ols2.multibreak(method=glob) c le(-1) ly(-1) lechn lychn d(ly)


'ARDL Models with dummies - Dependent variable DLY 

equation eq03.ardl(deplags=1, reglags=1, trend=uconst) ly lechn le lychn @ sd_1987 sd_1983

'ARDL Models with dummies - Dependent variable DLE

equation eq04.ardl(deplags=1, reglags=1, trend=uconst) le ly lechn lychn @ sd_1980 sd_1987 id_2012

'Diagnostic tests
''Jarque-Bera

eq03.hist
eq04.hist

''Breusch-Godfrey Serial Correlation LM test

eq03.auto
eq04.auto

''ARCH test

eq03.archtest
eq04.archtest

''Ramsey RESET test

eq03.reset
eq04.reset

''CUSUM and CUSUM of Squares tests

eq03.rls(q) c(1) c(2) c(3) c(4) c(5) c(6) c(7) c(8) 
eq03.rls(v) c(1) c(2) c(3) c(4) c(5) c(6) c(7) c(8) 
eq04.rls(q) c(1) c(2) c(3) c(4) c(5) c(6) c(7) c(8) c(9) 
eq04.rls(v) c(1) c(2) c(3) c(4) c(5) c(6) c(7) c(8) c(9) 

'ARDL bounds test and short- and long-run elasticities

eq03.cointrep
eq04.cointrep



								'Europe and Central Asia
pageselect eca

'ARDL Models withou dummies - Dependent variable DLY 

equation eq05.ardl(deplags=1, reglags=1) ly le lychn lechn @

'ARDL Models withou dummies - Dependent variable DLE

equation eq06.ardl(deplags=1, reglags=1, trend=none) le ly lechn lychn @

'ARDL residuals

eq05.resids(g)
eq06.resids(g)

' Quandt-Andrews, Multiple Breakpoint and Chow Breakpoint tests
''OLS model - Dependent varibale DLY

equation ols3.ls d(ly) c ly(-1) le(-1) lychn lechn d(le)
ols3.ubreak 15
ols3.multibreak(method=glob) c ly(-1) le(-1) lychn lechn d(le)

''OLS model - Dependent varibale DLE

equation ols4.ls d(le) le(-1) ly(-1) lechn lychn d(ly)
ols4.ubreak15
ols4.multibreak(method=glob) le(-1) ly(-1) lechn lychn d(ly)


'ARDL Models with dummies - Dependent variable DLY 

equation eq07.ardl(deplags=1, reglags=1, trend=uconst) ly le lychn lechn @ sd_2008 sd_1975

'ARDL Models with dummies - Dependent variable DLE

equation eq08.ardl(deplags=1, reglags=1, trend=none) le ly lechn lychn @ sd_2009 id_1994

'Diagnostic tests
''Jarque-Bera

eq07.hist
eq08.hist

''Breusch-Godfrey Serial Correlation LM test

eq07.auto
eq08.auto

''ARCH test

eq07.archtest
eq08.archtest

''Ramsey RESET test

eq07.reset
eq08.reset

''CUSUM and CUSUM of Squares tests

eq07.rls(q) c(1) c(2) c(3) c(4) c(5) c(6) c(7) c(8) c(9) c(10)
eq07.rls(v) c(1) c(2) c(3) c(4) c(5) c(6) c(7) c(8) c(9) c(10)
eq08.rls(q) c(1) c(2) c(3) c(4) c(5) c(6) c(7) c(8) 
eq08.rls(v) c(1) c(2) c(3) c(4) c(5) c(6) c(7) c(8) 

'ARDL bounds test and short- and long-run elasticities

eq07.cointrep
eq08.cointrep


								'Asia Pacific
pageselect ap

'ARDL Models withou dummies - Dependent variable DLY 

equation eq09.ardl(deplags=1, reglags=1) ly le lychn lechn   @

'ARDL Models withou dummies - Dependent variable DLE

equation eq10.ardl(deplags=1, reglags=1, trend=linear) le ly lychn lechn @

'ARDL residuals

eq09.resids(g)
eq10.resids(g)

' Quandt-Andrews, Multiple Breakpoint and Chow Breakpoint tests
''OLS model - Dependent varibale DLY

equation ols5.ls d(ly) c ly(-1) le(-1) lychn lechn d(le)
ols5.ubreak 15
ols5.multibreak(method=glob) c ly(-1) le(-1) lychn lechn d(le)

''OLS model - Dependent varibale DLE

equation ols6.ls d(le) c @trend le(-1) ly(-1) lychn lechn d(ly)
ols6.ubreak15
ols6.multibreak(method=glob) c @trend le(-1) ly(-1) lychn lechn d(ly)

'ARDL Models with dummies - Dependent variable DLY 

equation eq11.ardl(deplags=1, reglags=1, trend=uconst) ly le lychn lechn @ sd_1980 id_2009

'ARDL Models with dummies - Dependent variable DLE

equation eq12.ardl(deplags=1, reglags=1, trend=linear) le ly lychn lechn @ sd_1980 id_1975

'Diagnostic tests
''Jarque-Bera

eq11.hist
eq12.hist

''Breusch-Godfrey Serial Correlation LM test

eq11.auto
eq12.auto

''ARCH test

eq11.archtest
eq12.archtest

''Ramsey RESET test

eq11.reset
eq12.reset

''CUSUM and CUSUM of Squares tests

eq11.rls(q) c(1) c(2) c(3) c(4) c(5) c(6) c(7) c(8) 
eq11.rls(v) c(1) c(2) c(3) c(4) c(5) c(6) c(7) c(8) 
eq12.rls(q) c(1) c(2) c(3) c(4) c(5) c(6) c(7) c(8) c(9) c(10) 
eq12.rls(v) c(1) c(2) c(3) c(4) c(5) c(6) c(7) c(8) c(9) c(10) 

'ARDL bounds test and short- and long-run elasticities

eq11.cointrep
eq12.cointrep



								'Africa and the Middle East
pageselect afr_middle

'ARDL Models withou dummies - Dependent variable DLY 

equation eq13.ardl(deplags=1, reglags=1) ly le lychn lechn @

'ARDL Models withou dummies - Dependent variable DLE

equation eq14.ardl(deplags=1, reglags=1, trend=none) le ly lychn lechn @

'ARDL residuals

eq13.resids(g)
eq14.resids(g)

' Quandt-Andrews, Multiple Breakpoint and Chow Breakpoint tests
''OLS model - Dependent varibale DLY

equation ols7.ls d(ly) c ly(-1) le(-1) lychn(-1) lechn d(le) d(lychn)
ols7.ubreak 15
ols7.multibreak(method=glob) c ly(-1) le(-1) lychn(-1) lechn d(le) d(lychn)

''OLS model - Dependent varibale DLE

equation ols8.ls d(le) le(-1) ly(-1) lychn lechn d(ly)
ols8.ubreak15
ols8.multibreak(method=glob)  le(-1) ly(-1) lychn lechn d(ly)

'ARDL Models with dummies - Dependent variable DLY 

equation eq15.ardl(deplags=1, reglags=1, trend=uconst) ly le lychn lechn @  sd_1981  sd_2008

'ARDL Models with dummies - Dependent variable DLE

equation eq16.ardl(deplags=1, reglags=1, trend=none) le ly lychn lechn @ sd_1976 id_1979 id_1980 id_1993

'Diagnostic tests
''Jarque-Bera

eq15.hist
eq16.hist

''Breusch-Godfrey Serial Correlation LM test

eq15.auto
eq16.auto

''ARCH test

eq15.archtest
eq16.archtest

''Ramsey RESET test

eq15.reset
eq16.reset

''CUSUM and CUSUM of Squares tests

eq15.rls(q) c(1) c(2) c(3) c(4) c(5) c(6) c(7) c(8) c(9) c(10) 
eq15.rls(v) c(1) c(2) c(3) c(4) c(5) c(6) c(7) c(8) c(9) c(10) 
eq16.rls(q) c(1) c(2) c(3) c(4) c(5) c(6) c(7) c(8) c(9) c(10)  
eq16.rls(v) c(1) c(2) c(3) c(4) c(5) c(6) c(7) c(8) c(9) c(10) 

'ARDL bounds test and short- and long-run elasticities

eq15.cointrep
eq16.cointrep

